<template>
  <page-layout :show-cta="false">
    <!-- Page Content Start -->
    <cooperacion-cover-section id="cooperacion-cover-section" v-bind="cover" />
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/cooperacion';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'Cooperacion',
  components: PageSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
  },
};
</script>

<page-query>
  query CooperacionPageContent {
    content: cooperacionPageContent(path: "/cooperacion/") {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
        content {
          text
          contactUs {
            icon
            heading
            label
          }
        }
      }
    }
  }
</page-query>
